
QGIS Application - Bug report #20246

packaging: icons/desktop/mimeinfo files should also be installed/processed on BSD

2018-10-28 03:36 PM - landry Landry Breuil

Status: Closed

Priority: Normal

Assignee: landry Landry Breuil

Category: Build/Install

Affected QGIS version:3.4.0 Regression?: No

Operating System: OpenBSD Easy fix?: Yes

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 28067

Description

There's been nice improvements in linux packaging recently for 3.4 (ie 

https://github.com/qgis/QGIS/commit/52a80d895c45876bfdf97d194c7f666031412b5d, 

https://github.com/qgis/QGIS/commit/db398ab1b55d4d1be23ec73f723d413fc218730a, 

https://github.com/qgis/QGIS/commit/618c3ce368a93aa614b534af7b1f867c25d7aabe, etc..) and the BSDs shouldnt be left out of this !

:)

All those IF (CMAKE_SYSTEM_NAME STREQUAL "Linux") should be fixed - maybe UNIX unless that includes macosx ?

History

#1 - 2018-10-28 03:42 PM - landry Landry Breuil

Maybe that should be (UNIX AND NOT APPLE) in cmake-speak..

#2 - 2018-10-29 09:11 AM - landry Landry Breuil

- Assignee set to landry Landry Breuil

Pr in https://github.com/qgis/QGIS/pull/8357

#3 - 2018-10-29 08:43 PM - Giovanni Manghi

- Pull Request or Patch supplied changed from No to Yes

- Category changed from Unknown to Build/Install

#4 - 2018-11-13 09:22 PM - Loïc BARTOLETTI

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Thanks Landry
